Subject: bug#31356: Some videos don't work with recent Icecat

From: Mark H Weaver <[email-masked]>
Date: Sat, 05 May 2018 15:04:28 -0400

Nils Gillmann <[email-masked]> writes:

> Clément Lassieur transcribed 475 bytes:
>> Nils Gillmann <[email-masked]> writes:
>> 
>> > Hi, thanks for reporting it.
>> >
>> > This is not a bug, however it has been reported multiple times in the past.
>> > This is a not so obvious reminder that you need to install the some of the
>> > codecs into your global or user profile.
>> 
>> Hi ng0,
>> 
>> I'd be happy to know about codecs that can be installed in one's profile
>> (and thus aren't shipped with the Icecat package) and would improve
>> Icecat user experience.
>> 
>> Thanks,
>> Clément
>
> Hm... usually I would've replied "the gstreamer ones, -ugly, -base, -good"
> but I don't have them installed. I am not using icecat and for my aurora esr
> package I think videos just work.

Back in the days of IceCat 45.x and earlier, we compiled IceCat using
gstreamer as its video library, and so the set of gstreamer plugins
installed in your profile determined the set of codecs supported by
IceCat.

However, upstream Mozilla dropped support for gstreamer back around
2016, opting to use ffmpeg instead.  So, IceCat 52.x is now linked
directly to ffmpeg, and the set of gstreamer plugins is irrelevant for
purposes of IceCat video support.

     Regards,
       Mark